<?php
require("../../class/connect.php");
include("../../class/db_sql.php");
include("../../class/config.php");
include("../../class/functions.php");
$link=db_connect();
$empire=new mysqlquery();
$logininid=getcvar('loginuserid');
$loginin=getcvar('loginusername');
$loginrnd=getcvar('loginrnd');
$loginlevel=getcvar('loginlevel');
$editor=1;
is_login($logininid,$loginin,$loginrnd);
//验证权限
CheckLevel($logininid,$loginin,$classid,"m");
$enews=$_GET['enews'];
//导出模型
if($enews=="LoadOutMod")
{
	include("../../class/com_functions.php");
	LoadOutMod($_GET,$logininid,$loginin);
}
$tid=(int)$_GET['tid'];
$tbname=RepPostVar($_GET['tbname']);
if(!$tid||!$tbname)
{
	printerror("ErrorUrl","history.go(-1)");
}
$url="数据表:[".$dbtbpre."ecms_".$tbname."]&nbsp;->&nbsp;<a href=ListM.php?tid=$tid&tbname=$tbname>管理系统模型</a>";
$sql=$empire->query("select * from {$dbtbpre}enewsmod where tid='$tid'");
//风格
$loginadminstyleid=(int)getcvar('loginadminstyleid');
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=gb2312">
<title>管理系统模型</title>
<link href="../adminstyle/<?=$loginadminstyleid?>/adminstyle.css" rel="stylesheet" type="text/css">
</head>

<body>
<table width="98%" border="0" align="center" cellpadding="3" cellspacing="1">
  <tr>
    <td>位置：<?=$url?></td>
  </tr>
</table>
<br>
<table width="98%%" border="0" align="center" cellpadding="3" cellspacing="1">
  <tr> 
    <td><input type="button" name="Submit2" value="增加系统模型" onclick="self.location.href='AddM.php?enews=AddM&tid=<?=$tid?>&tbname=<?=$tbname?>';">
      &nbsp;&nbsp;&nbsp;
      <input type="button" name="Submit22" value="导入系统模型" onclick="window.open('LoadInM.php','','width=520,height=300,scrollbars=yes,top=130,left=120');"></td>
  </tr>
</table>
<table width="98%" border="0" align="center" cellpadding="3" cellspacing="1" class="tableborder">
  <tr class="header"> 
    <td width="9%" height="25"><div align="center">ID</div></td>
    <td width="47%" height="25"><div align="center">模型名称</div></td>
    <td width="44%" height="25"><div align="center">操作</div></td>
  </tr>
  <?
  while($r=$empire->fetch($sql))
  {
  $do="[<a href='../../DoInfo/ChangeClass.php?mid=".$r[mid]."' target=_blank>投稿地址</a>]&nbsp;&nbsp;[<a href='AddM.php?tid=$tid&tbname=$tbname&enews=AddM&mid=".$r[mid]."&docopy=1'>复制</a>]&nbsp;&nbsp;[<a href='ListM.php?tid=$tid&tbname=$tbname&enews=LoadOutMod&mid=".$r[mid]."' onclick=\"return confirm('确认要导出?');\">导出</a>]&nbsp;&nbsp;[<a href='AddM.php?tid=$tid&tbname=$tbname&enews=EditM&mid=".$r[mid]."'>修改</a>]&nbsp;&nbsp;[<a href='../enews.php?tid=$tid&tbname=$tbname&enews=DelM&mid=".$r[mid]."' onclick=\"return confirm('确认要删除？');\">删除</a>]";
  ?>
  <tr bgcolor="ffffff"> 
    <td height="25"><div align="center"> 
        <?=$r[mid]?>
      </div></td>
    <td height="25"><div align="center"> 
        <?=$r[mname]?>
      </div></td>
    <td height="25"><div align="center"> 
        <?=$do?>
      </div></td>
  </tr>
  <?
	}
	?>
</table>
<br>
<table width="98%%" border="0" align="center" cellpadding="3" cellspacing="1">
  <tr> 
    <td><div align="center"> [<a href="javascript:window.close();">关闭</a>] </div></td>
  </tr>
</table>
</body>
</html>
<?
db_close();
$empire=null;
?>
